
local songs = love.filesystem.getDirectoryItems("songs")

local src
local volume = 0.5
local jig = 1

function play(num)
  if src then src:stop() end
  src = love.audio.newSource("songs/"..songs[num])
  src:play()
end

function love.load()
  love.audio.setVolume(volume)
  play(jig)
end

function love.keypressed(k) 
  if k == "f10" then
    love.event.quit()
  end

  if k == "up" then
    volume = math.min(1.0, volume + 0.05)
    love.audio.setVolume(volume)
  end

  if k == "down" then
    volume = math.max(0.0, volume - 0.05)
    love.audio.setVolume(volume)
  end

  if k == "left" then
    jig = jig - 1
    if jig < 1 then jig = 1 end
    play(jig)
  end

  if k == "right" then
    jig = jig + 1
    if jig > #songs then jig = #songs end
    play(jig)
  end
end

function love.draw()
  love.graphics.print("Song: "..songs[jig], 10, 10)
  love.graphics.print("Change with Left and Right", 20, 25)
  love.graphics.print("Volume: "..volume, 10, 40)
  love.graphics.print("Change with Up and Down", 20, 55)
  love.graphics.print("Time: "..math.floor(src:tell("seconds")), 10, 70)
end

